Class | Rack::ShowExceptions
In: | lib/action_controller/vendor/rack-1.0/rack/showexceptions.rb
Parent: | Object

Rack::ShowExceptions catches all exceptions raised from the app it wraps. It shows a useful backtrace with the sourcefile and clickable context, the whole Rack environment and the request data.

Be careful when you use this on public-facing sites as it could reveal information helpful to attackers.

### Methods

call new pretty

### Constants

CONTEXT | = | 7

### Public Class methods

new(app)

### Public Instance methods

call(env)
pretty(env, exception)

[Validate]